Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Gateway_Sched Class Reference

Extend the EC_Gateway_IIOP interface to support scheduling. More...

`#include <EC_Gateway_Sched.h>`

Inheritance diagram for TAO_EC_Gateway_Sched:

[legend]
Collaboration diagram for TAO_EC_Gateway_Sched:

[legend]
List of all members.

## Public Methods
| TAO_EC_Gateway_Sched (void)
| ~TAO_EC_Gateway_Sched (void)
void | init (RtecEventChannelAdmin::EventChannel_ptr supplier_ec, RtecEventChannelAdmin::EventChannel_ptr consumer_ec, RtecScheduler::Scheduler_ptr supplier_sched, RtecScheduler::Scheduler_ptr consumer_sched, const char *consumer_name, const char *supplier_name ACE_ENV_ARG_DECL_WITH_DEFAULTS)

## Detailed Description

Extend the EC_Gateway_IIOP interface to support scheduling.

## Constructor & Destructor Documentation

TAO_EC_Gateway_Sched::TAO_EC_Gateway_Sched | ( | void |  | ) |

TAO_EC_Gateway_Sched::~TAO_EC_Gateway_Sched | ( | void |  | ) |

## Member Function Documentation

void TAO_EC_Gateway_Sched::init | ( | RtecEventChannelAdmin::EventChannel_ptr | supplier_ec,
|  | RtecEventChannelAdmin::EventChannel_ptr | consumer_ec,
|  | RtecScheduler::Scheduler_ptr | supplier_sched,
|  | RtecScheduler::Scheduler_ptr | consumer_sched,
|  | const char * | consumer_name,
|  | const char *supplier_name | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) |

| To do its job this class requires to know the local and remote ECs it will connect to; furthermore it also requires to build RT_Infos for the local and remote schedulers. Todo: part of the RT_Info is hardcoded, we need to make it parametric.

The documentation for this class was generated from the following files:

- EC_Gateway_Sched.h
- EC_Gateway_Sched.cpp